Subject: Re: [PATCH] usb: add Freescale QE/CPM USB peripheral controller driver

From: Arnd Bergmann <[email-masked]>
Date: Fri, 29 Aug 2008 10:57:20 +0200

On Friday 29 August 2008, Li Yang wrote:
>=20
> > Not a problem, but an observation: Most new code uses work queues inste=
ad
> > of tasklets these days, which gives you more predictable real time
> > latencies.
> > If you don't have a specific reason to prefer a tasklet, just use
> > a workqueue here.
>=20
> Is this truly a trend? =A0Work queue is more flexible but it has higher
> latency. =A0Why are work queues preferred?

Most drivers don't need the low irq to bottom half latency. As I said,
not a problem at all, just my observation. In 2.6.27, we have around
three times more new workqueue usages than new tasklet usages. My
feeling from doing reviews was that it would be closer to a factor
of ten, but I guess I was wrong in that.

	Arnd <><